import Taro, { Component } from '@tarojs/taro'
import { Map } from '@tarojs/components'

const makerIcon = require('@assets/icons/blank.png')

export default class PoiAround extends Component {

  state = {
    current: undefined,
  }

  handleTap = (e) => {
    const marker = this.props.markers.filter(x => x.id === e.markerId)[0]

    this.setState({ current: e.markerId })
    this.props.onMarkerClick && this.props.onMarkerClick(marker)
  }

  render() {
    const { current } = this.state
    const markers =  (this.props.markers || []).map((marker, index) => {

      return {
        id: marker.id,
        latitude: marker.latitude,
        longitude: marker.longitude,
        iconPath: makerIcon,
        width: 30,
        height: 30,
        alpha: 0.7,
        // title: index + 1,
        // label: {
        //   content: index + 1,
        //   // borderRadius: 1000,
        //   color: '#fff',
        //   bgColor: '#f00',
        //   textAlign: 'center',
        // },
        callout: {
          content: index + 1 > 9 ? `${index + 1}` : `0${index + 1}`,
          borderRadius: 30,
          borderWidth: 2,
          borderColor: '#BB9C79',
          padding: 5,
          color: current === marker.id ? '#fff' : '#BB9C79',
          bgColor: current === marker.id ? '#BB9C79' : '#fff',
          textAlign: 'center',
          display: 'ALWAYS',
        },
      }
    })

    return this.props.longitude && (
      <Map
        showLocation
        scale={12}
        markers={markers}
        longitude={this.props.longitude}
        latitude={this.props.latitude}
        onCalloutTap={this.handleTap}
        style={this.props.style}
      />
    )
  }
}
